// ПРИМЕР № 1

var x = 6, y = 14, z = 4;

console.log(x += y - x++ * z);
// В консоль выводится -4.
// 1 - сначала выполняется постфиксный инкремент 'x' (приоритет согласно таблицы - 17), возвращается 6; 
// Таким образом, имеем x += y - 6 * z;
// 2 - выполняем умножение x++ * z (приоритет согласно таблицы - 14), возвращается 24;
// Таким образом, имеем x += y - 24;
// 3 - выполняем x += y - присваивание переменной 'x' значение переменной 'y' (приоритет согласно таблицы - 3), 'x' возвращается как 20;
// Таким образом, имеем 20 - 24;
// 4 - выполняется 20 - 24, возвращается -4.

// ПРИМЕР № 2

var x = 6, y = 14, z = 4;

console.log(z = --x - y * 5);
// В консоль выводится -65.
// 1 - сначала выполняем декремент 'x' (приоритет префиксного декремента согласно таблицы  - 16). Поскольку декремент префиксный, '--x' возвращает те же 5;
// 2 - выполняем умножение 'y * 5', возвращается 70;
// 3 - выполняем вычитание '5 - 70', возвращается - 65;
// 4 - присваием 'z' значение '-65'. Его и получаем в консоли.

// ПРИМЕР № 3

var x = 6, y = 14, z = 4;

console.log(y /= x + 5 % z);
// В консоль выводится 2.
// 1 - сначала вычисляется остаток '5 % z' (приоритет по таблице - 14), возвращается 1, т.к. ближайшее число для деления на 4 - это 4, остается 1;
// 2 - складывается 'x' и 1, возвращается 7;
// 3 - присваиваем операнду 'y' значение, равное 14 / 7, возвращается 2.

// ПРИМЕР № 4

var x = 6, y = 14, z = 4;

console.log(z - x++ + y * 5);
// В консоль выводится 68.
// 1 - сначала выполняется постфиксный инкремент 'x++', возвращается 6;
// 2 - далее выполняется 'y * 5', возвращается 70;
// 3 - далее выполняется вычитание 'z - 6', возвращается -2;
// 4 - выполняется сложение -2 и 70, возвращается -68.

// ПРИМЕР № 5

var x = 6, y = 14, z = 4;

console.log(x = y - x++ * z);
// В консоль выводится -10.
// 1 - сначала выполняется постфиксный инкремент 'x++', возвращается 6;
// 2 - далее выполняется умножение 6 * z, возвращается 24;
// 3 - выполняется вычитание y - 24, возвращается -10;
// 4 - выполняется присваивание операнду 'x' полученного значения -10, оно же и выводится в консоль.